// This code will deal a hand of 5 cards onto a table
// All the variables declared above the first function call have a global scope
window.addEventListener("load",setTable,false);

// This array will hold the 5 cards in my hand
var playerHand = new Array("","","","","");

// This array holds information on if the card has been drawn
var duplicate = new Array();

// This array holds the src property for the card objects
var newCard = new Array("graphics/AC.png","graphics/AD.png","graphics/AH.png","graphics/AS.png",
				   "graphics/2C.png","graphics/2D.png","graphics/2H.png","graphics/2S.png",
				   "graphics/3C.png","graphics/3D.png","graphics/3H.png","graphics/3S.png",
				   "graphics/4C.png","graphics/4D.png","graphics/4H.png","graphics/4S.png",
				   "graphics/5C.png","graphics/5D.png","graphics/5H.png","graphics/5S.png",
				   "graphics/6C.png","graphics/6D.png","graphics/6H.png","graphics/6S.png",
				   "graphics/7C.png","graphics/7D.png","graphics/7H.png","graphics/7S.png",
				   "graphics/8C.png","graphics/8D.png","graphics/8H.png","graphics/8S.png",
				   "graphics/9C.png","graphics/9D.png","graphics/9H.png","graphics/9S.png",
				   "graphics/10C.png","graphics/10D.png","graphics/10H.png","graphics/10S.png",
				   "graphics/JC.png","graphics/JD.png","graphics/JH.png","graphics/JS.png",
				   "graphics/QC.png","graphics/QD.png","graphics/QH.png","graphics/QS.png",
				   "graphics/KC.png","graphics/KD.png","graphics/KH.png","graphics/KS.png"
);

// This function will set up the environment so it is ready for game play
function setTable() {
  // The table is set now deal the next hand
  // Initalize the duplicates array
  for (var cardNumber=0; cardNumber<newCard.length; cardNumber++) {
    duplicate[cardNumber]="false";
  }
  dealHand();
}

// This function deals a hand of 5 cards
function dealHand() {
  // alert("Running dealHand function");
  // This will hold the random number I get from the function chooseCard during a single draw
  var randomNumber = 0;
  var currentCard = "Card0";
  for (var cardNumber=1; cardNumber<6; cardNumber++) {
    currentCard = "Card" + cardNumber;
    randomNumber = chooseCard();
    // alert("randomNumber is "+ randomNumber +" <<");
    // alert("currentCard is "+ currentCard +" <<");
    document.getElementById(currentCard).src = newCard[randomNumber];
  }
}

// This function selects a random card from the deck
function chooseCard() {
  // initalize duplicate variable to an exit state
  var isDuplicate = false;
  do {
    var randomNum = Math.floor(Math.random() * newCard.length);
    // Check to see if card is used
    if (duplicate[randomNum]== "true"){
      isDuplicate = true;
    }
    // next 3 lines Set the now good card to used
    else {
      // set card to not duplicate
      duplicate[randomNum] = "true";
      // let me out of this do loop
      isDuplicate = false;
      // alert("RandomNum is "+ randomNum + " and duplicate[randomNum] is "+ duplicate[randomNum] + " and is duplicate is " + isDuplicate + " //");
      // Return the card
      return randomNum;
    }
  // This Do while will end when there is no duplicate
  }
  while (isDuplicate == false);
}
